package com.gic.evaluate.dto;

import java.io.Serializable;
import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-25 17:22
 */
public class EvaluateOrderConfigDTO implements Serializable {

    private static final long serialVersionUID = -2771361551338948493L;

    /**
     *
     */
    private Integer evaluateOrderConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 商品质量
     */
    private Integer goods;

    /**
     * 门店环境
     */
    private Integer store;

    /**
     * 服务能力
     */
    private Integer service;

    /**
     * 商品质量必填
     */
    private Integer goodsRequired;

    /**
     * 门店环境
     */
    private Integer storeRequired;

    /**
     * 服务能力必填
     */
    private Integer serviceRequired;

    /**
     * 消费后提醒时间（小时）
     */
    private Integer mindHour;

    /**
     * 重新提醒时间 单位天
     */
    private Integer remindDay;

    /**
     * 评价时限
     */
    private Integer evaluateLimitday;

    /**
     * 默认评语
     */
    private String defaultContent;

    /**
     * 是否支持追评
     */
    private Integer review;

    /**
     * 是否支持用户隐藏追评
     */
    private Integer reviewUserHidden;

    /**
     * 追评次数
     */
    private Integer reviewTimes;

    /**
     * 评价组件
     */
    private Integer commentModule;

    /**
     * 展示规则  1仅本条评论  2评论及其追评
     */
    private Integer showType;
    /**
     * 1. 按评分从高到低 2. 按时间倒序
     */
    private Integer orderType;

    /**
     * 恶意评价标记功能
     */
    private Integer badEvaluateTag;
    private Integer badEvaluateTagType;

    /**
     * 恶意投诉标记功能
     */
    private Integer badSuggestionTag;

    private Integer badSuggestionTagType;

    /**
     * 正面快捷短语
     */
    private List<String> goodEvaluateQuick;

    /**
     * 负面快捷短语
     */
    private List<String> badEvaluateQuick;

    /**
     * 后台快捷评语
     */
    private List<String> replyQuick;
    private List<EvaluateQuickDTO> badEvaluateQuickDTOList;
    private List<EvaluateQuickDTO> goodEvaluateQuickDTOList;
    private List<EvaluateQuickDTO> replyQuickDTOList;

    public Integer getEvaluateOrderConfigId() {
        return evaluateOrderConfigId;
    }

    public void setEvaluateOrderConfigId(Integer evaluateOrderConfigId) {
        this.evaluateOrderConfigId = evaluateOrderConfigId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getGoods() {
        return goods;
    }

    public void setGoods(Integer goods) {
        this.goods = goods;
    }

    public Integer getStore() {
        return store;
    }

    public void setStore(Integer store) {
        this.store = store;
    }

    public Integer getService() {
        return service;
    }

    public void setService(Integer service) {
        this.service = service;
    }

    public Integer getGoodsRequired() {
        return goodsRequired;
    }

    public void setGoodsRequired(Integer goodsRequired) {
        this.goodsRequired = goodsRequired;
    }

    public Integer getStoreRequired() {
        return storeRequired;
    }

    public void setStoreRequired(Integer storeRequired) {
        this.storeRequired = storeRequired;
    }

    public Integer getServiceRequired() {
        return serviceRequired;
    }

    public void setServiceRequired(Integer serviceRequired) {
        this.serviceRequired = serviceRequired;
    }

    public Integer getMindHour() {
        return mindHour;
    }

    public void setMindHour(Integer mindHour) {
        this.mindHour = mindHour;
    }

    public Integer getRemindDay() {
        return remindDay;
    }

    public void setRemindDay(Integer remindDay) {
        this.remindDay = remindDay;
    }

    public Integer getEvaluateLimitday() {
        return evaluateLimitday;
    }

    public void setEvaluateLimitday(Integer evaluateLimitday) {
        this.evaluateLimitday = evaluateLimitday;
    }

    public String getDefaultContent() {
        return defaultContent;
    }

    public void setDefaultContent(String defaultContent) {
        this.defaultContent = defaultContent;
    }

    public Integer getReview() {
        return review;
    }

    public void setReview(Integer review) {
        this.review = review;
    }

    public Integer getReviewUserHidden() {
        return reviewUserHidden;
    }

    public void setReviewUserHidden(Integer reviewUserHidden) {
        this.reviewUserHidden = reviewUserHidden;
    }

    public Integer getReviewTimes() {
        return reviewTimes;
    }

    public void setReviewTimes(Integer reviewTimes) {
        this.reviewTimes = reviewTimes;
    }

    public Integer getCommentModule() {
        return commentModule;
    }

    public void setCommentModule(Integer commentModule) {
        this.commentModule = commentModule;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getBadEvaluateTag() {
        return badEvaluateTag;
    }

    public void setBadEvaluateTag(Integer badEvaluateTag) {
        this.badEvaluateTag = badEvaluateTag;
    }

    public Integer getBadSuggestionTag() {
        return badSuggestionTag;
    }

    public void setBadSuggestionTag(Integer badSuggestionTag) {
        this.badSuggestionTag = badSuggestionTag;
    }

    public List<String> getGoodEvaluateQuick() {
        return goodEvaluateQuick;
    }

    public void setGoodEvaluateQuick(List<String> goodEvaluateQuick) {
        this.goodEvaluateQuick = goodEvaluateQuick;
    }

    public List<String> getBadEvaluateQuick() {
        return badEvaluateQuick;
    }

    public void setBadEvaluateQuick(List<String> badEvaluateQuick) {
        this.badEvaluateQuick = badEvaluateQuick;
    }

    public List<String> getReplyQuick() {
        return replyQuick;
    }

    public void setReplyQuick(List<String> replyQuick) {
        this.replyQuick = replyQuick;
    }

    public Integer getShowType() {
        return showType;
    }

    public void setShowType(Integer showType) {
        this.showType = showType;
    }

    public Integer getBadEvaluateTagType() {
        return badEvaluateTagType;
    }

    public void setBadEvaluateTagType(Integer badEvaluateTagType) {
        this.badEvaluateTagType = badEvaluateTagType;
    }

    public Integer getBadSuggestionTagType() {
        return badSuggestionTagType;
    }

    public void setBadSuggestionTagType(Integer badSuggestionTagType) {
        this.badSuggestionTagType = badSuggestionTagType;
    }

    public void setBadEvaluateQuickDTOList(List<EvaluateQuickDTO> badEvaluateQuickDTOList) {
        this.badEvaluateQuickDTOList = badEvaluateQuickDTOList;
    }

    public List<EvaluateQuickDTO> getBadEvaluateQuickDTOList() {
        return badEvaluateQuickDTOList;
    }

    public void setGoodEvaluateQuickDTOList(List<EvaluateQuickDTO> goodEvaluateQuickDTOList) {
        this.goodEvaluateQuickDTOList = goodEvaluateQuickDTOList;
    }

    public List<EvaluateQuickDTO> getGoodEvaluateQuickDTOList() {
        return goodEvaluateQuickDTOList;
    }

    public void setReplyQuickDTOList(List<EvaluateQuickDTO> replyQuickDTOList) {
        this.replyQuickDTOList = replyQuickDTOList;
    }

    public List<EvaluateQuickDTO> getReplyQuickDTOList() {
        return replyQuickDTOList;
    }

    @Override
    public String toString() {
        return "EvaluateOrderConfigDTO{" +
                "evaluateOrderConfigId=" + evaluateOrderConfigId +
                ", enterpriseId=" + enterpriseId +
                ", goods=" + goods +
                ", store=" + store +
                ", service=" + service +
                ", goodsRequired=" + goodsRequired +
                ", storeRequired=" + storeRequired +
                ", serviceRequired=" + serviceRequired +
                ", mindHour=" + mindHour +
                ", remindDay=" + remindDay +
                ", evaluateLimitday=" + evaluateLimitday +
                ", defaultContent='" + defaultContent + '\'' +
                ", review=" + review +
                ", reviewUserHidden=" + reviewUserHidden +
                ", reviewTimes=" + reviewTimes +
                ", commentModule=" + commentModule +
                ", showType=" + showType +
                ", orderType=" + orderType +
                ", badEvaluateTag=" + badEvaluateTag +
                ", badEvaluateTagType=" + badEvaluateTagType +
                ", badSuggestionTag=" + badSuggestionTag +
                ", badSuggestionTagType=" + badSuggestionTagType +
                ", goodEvaluateQuick=" + goodEvaluateQuick +
                ", badEvaluateQuick=" + badEvaluateQuick +
                ", replyQuick=" + replyQuick +
                ", badEvaluateQuickDTOList=" + badEvaluateQuickDTOList +
                ", goodEvaluateQuickDTOList=" + goodEvaluateQuickDTOList +
                ", replyQuickDTOList=" + replyQuickDTOList +
                '}';
    }
}
