package com.gic.evaluate.dao.mapper;

import com.gic.evaluate.entity.TabEvaluateQuick;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: TabEvaluateQuickMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 9:22
 */
public interface TabEvaluateQuickMapper {
    /**
     * 根据主键删除
     *
     * @param evaluateQuickId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(String evaluateQuickId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabEvaluateQuick record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabEvaluateQuick record);

    /**
     * 根据主键查询
     *
     * @param evaluateQuickId 主键
     * @return 实体对象
     */
    TabEvaluateQuick selectByPrimaryKey(Integer evaluateQuickId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabEvaluateQuick record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabEvaluateQuick record);

    /**
     * delByEnterpriseId
     * @Title: delByEnterpriseId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param quickReplyType
     * @return void
     * @throws
     */
    void delByEnterpriseId(@Param("enterpriseId") Integer enterpriseId, @Param("quickReplyType") Integer quickReplyType);

    /**
     * insertSelectiveByNotExist
     * @Title: insertSelectiveByNotExist
     * @Description:
     * @author zhiwj
     * @param tabEvaluateQuick
     * @return void
     * @throws
     */
    void insertSelectiveByNotExist(TabEvaluateQuick tabEvaluateQuick);

    /**
     * updateStatusByEvaluateQuicks
     * @Title: updateStatusByEvaluateQuicks
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param evaluateQuick
     * @param quickReplyType
     * @return void
     * @throws
     */
    void updateStatusByEvaluateQuicks(@Param("enterpriseId") Integer enterpriseId, @Param("evaluateQuick") List<String> evaluateQuick, @Param("quickReplyType") Integer quickReplyType);

    /**
     * listEvaluateQuick
     * @Title: listEvaluateQuick
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param quickReplyType
     * @return java.util.List<com.gic.evaluate.entity.TabEvaluateQuick>
     * @throws
     */
    List<TabEvaluateQuick> listEvaluateQuick(@Param("enterpriseId") Integer enterpriseId, @Param("quickReplyType") Integer quickReplyType);

    /**
     * evaluateQuickChart
     * @Title: evaluateQuickChart
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param startTime
     * @param endTime
     * @param tagType
     * @param storeIdList
     * @return java.util.List<java.util.Map<java.lang.String,java.lang.Object>>
     * @throws
     */
    List<Map<String, Object>> evaluateQuickChart(@Param("enterpriseId") Integer enterpriseId, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("tagType") Integer tagType, @Param("ids") List<Integer> storeIdList);
}