package com.gic.evaluate.web.vo;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Arrays;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-12-26 10:19
 */
public class EvaluateOrderConfigVO implements Serializable {
    private static final long serialVersionUID = -2536650240108139467L;

    public interface EvaluateOrderConfigValid{}

    /**
     *
     */
    private Integer evaluateOrderConfigId;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 商品质量
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer goods;

    /**
     * 门店环境
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer store;

    /**
     * 服务能力
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer service;

    /**
     * 商品质量必填
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer goodsRequired;

    /**
     * 门店环境
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer storeRequired;

    /**
     * 服务能力必填
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer serviceRequired;

    /**
     * 消费后提醒时间（小时）
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer mindHour;

    /**
     * 重新提醒时间 单位天
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer remindDay;

    /**
     * 评价时限
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer evaluateLimitday;

    /**
     * 默认评语
     */
    @NotBlank(message = "默认评语不能为空", groups = EvaluateOrderConfigValid.class)
    private String defaultContent;

    /**
     * 是否支持追评
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer review;

    private Integer reviewRemind;
    /**
     * 追评期限
     */
    @Min(value = 7, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer reviewLimitday;

    /**
     * 是否支持用户隐藏追评
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer reviewUserHidden;

    /**
     * 追评次数
     */
    @Min(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer reviewTimes;

    /**
     * 评价组件
     */
    private Integer commentModule;

    /**
     * 奖励
     */
    @Min(value = 0, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer reward;

    /**
     * 1. 按评分从高到低 2. 按时间倒序
     */
    @Min(value = 1, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    @Max(value = 2, message = "参数错误", groups = EvaluateOrderConfigValid.class)
    private Integer orderType;

    /**
     * 正面快捷短语
     */
    private String[] goodEvaluateQuick;

    /**
     * 负面快捷短语
     */
    private String[] badEvaluateQuick;

    /**
     * 后台快捷评语
     */
    private String[] replyQuick;

    public Integer getEvaluateOrderConfigId() {
        return evaluateOrderConfigId;
    }

    public void setEvaluateOrderConfigId(Integer evaluateOrderConfigId) {
        this.evaluateOrderConfigId = evaluateOrderConfigId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getGoods() {
        return goods;
    }

    public void setGoods(Integer goods) {
        this.goods = goods;
    }

    public Integer getStore() {
        return store;
    }

    public void setStore(Integer store) {
        this.store = store;
    }

    public Integer getService() {
        return service;
    }

    public void setService(Integer service) {
        this.service = service;
    }

    public Integer getGoodsRequired() {
        return goodsRequired;
    }

    public void setGoodsRequired(Integer goodsRequired) {
        this.goodsRequired = goodsRequired;
    }

    public Integer getStoreRequired() {
        return storeRequired;
    }

    public void setStoreRequired(Integer storeRequired) {
        this.storeRequired = storeRequired;
    }

    public Integer getServiceRequired() {
        return serviceRequired;
    }

    public void setServiceRequired(Integer serviceRequired) {
        this.serviceRequired = serviceRequired;
    }

    public Integer getMindHour() {
        return mindHour;
    }

    public void setMindHour(Integer mindHour) {
        this.mindHour = mindHour;
    }

    public Integer getRemindDay() {
        return remindDay;
    }

    public void setRemindDay(Integer remindDay) {
        this.remindDay = remindDay;
    }

    public Integer getEvaluateLimitday() {
        return evaluateLimitday;
    }

    public void setEvaluateLimitday(Integer evaluateLimitday) {
        this.evaluateLimitday = evaluateLimitday;
    }

    public String getDefaultContent() {
        return defaultContent;
    }

    public void setDefaultContent(String defaultContent) {
        this.defaultContent = defaultContent;
    }

    public Integer getReview() {
        return review;
    }

    public void setReview(Integer review) {
        this.review = review;
    }

    public Integer getReviewLimitday() {
        return reviewLimitday;
    }

    public void setReviewLimitday(Integer reviewLimitday) {
        this.reviewLimitday = reviewLimitday;
    }

    public Integer getReviewUserHidden() {
        return reviewUserHidden;
    }

    public void setReviewUserHidden(Integer reviewUserHidden) {
        this.reviewUserHidden = reviewUserHidden;
    }

    public Integer getReviewTimes() {
        return reviewTimes;
    }

    public void setReviewTimes(Integer reviewTimes) {
        this.reviewTimes = reviewTimes;
    }

    public Integer getCommentModule() {
        return commentModule;
    }

    public void setCommentModule(Integer commentModule) {
        this.commentModule = commentModule;
    }

    public Integer getReward() {
        return reward;
    }

    public void setReward(Integer reward) {
        this.reward = reward;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String[] getGoodEvaluateQuick() {
        return goodEvaluateQuick;
    }

    public void setGoodEvaluateQuick(String[] goodEvaluateQuick) {
        this.goodEvaluateQuick = goodEvaluateQuick;
    }

    public String[] getBadEvaluateQuick() {
        return badEvaluateQuick;
    }

    public void setBadEvaluateQuick(String[] badEvaluateQuick) {
        this.badEvaluateQuick = badEvaluateQuick;
    }

    public String[] getReplyQuick() {
        return replyQuick;
    }

    public void setReplyQuick(String[] replyQuick) {
        this.replyQuick = replyQuick;
    }

    public Integer getReviewRemind() {
        return reviewRemind;
    }

    public void setReviewRemind(Integer reviewRemind) {
        this.reviewRemind = reviewRemind;
    }

    @Override
    public String toString() {
        return "EvaluateOrderConfigVO{" +
                "evaluateOrderConfigId=" + evaluateOrderConfigId +
                ", enterpriseId=" + enterpriseId +
                ", goods=" + goods +
                ", store=" + store +
                ", service=" + service +
                ", goodsRequired=" + goodsRequired +
                ", storeRequired=" + storeRequired +
                ", serviceRequired=" + serviceRequired +
                ", mindHour=" + mindHour +
                ", remindDay=" + remindDay +
                ", evaluateLimitday=" + evaluateLimitday +
                ", defaultContent='" + defaultContent + '\'' +
                ", review=" + review +
                ", reviewRemind=" + reviewRemind +
                ", reviewLimitday=" + reviewLimitday +
                ", reviewUserHidden=" + reviewUserHidden +
                ", reviewTimes=" + reviewTimes +
                ", commentModule=" + commentModule +
                ", reward=" + reward +
                ", orderType=" + orderType +
                ", goodEvaluateQuick=" + Arrays.toString(goodEvaluateQuick) +
                ", badEvaluateQuick=" + Arrays.toString(badEvaluateQuick) +
                ", replyQuick=" + Arrays.toString(replyQuick) +
                '}';
    }
}
